%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate xxhash-c-sys

Name:           rust-xxhash-c-sys
Version:        0.8.4
Release:    1%{?dist}
Summary:        Bindings to xxhash

License:        BSL-1.0
URL:            https://crates.io/crates/xxhash-c-sys
Source0:         %{crates_source}
Patch:          xxhash-c-sys-fix-metadata.diff
Patch:          0001-build-and-link-against-shared-xxhash-library.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Bindings to xxhash.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libxxhash) >= 0.8.1

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
rm -r src/c
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libxxhash) >= 0.8.1'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- -- --skip assert_version
%endif

%changelog
* Fri Jun 21 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.4-1
- initial build
